
use hawo2012tabs, clear


* Table 1:

reg ypcgr ed60 ypc60 if tmeanmsagay~=.
reg ypcgr tmeanmsagay ypc60
reg ypcgr tmeanmsagay ed60 ypc60
reg ypcgr tmeanmsagay edavg ypc60
rreg ypcgr otmeanmsagay ed60 ypc60, genwt(rreg_wgt)
xi: reg ypcgr tmeanmsagay ed60 ypc60 i.reg
reg ypcgr tmeanmsagay ed60 ypc60 open exprop
reg ypcgr tmeanmsagay ed60 ypc60 open exprop tfr_avg tropical 
reg ypcgr tmeanmsagay lnypc60 ed60


* Table 2:

reg ypcgr tmeanmsagay ypc60 ed60 
reg ypcgr tmeanmsagay ypc60 ed60 if oecd==1
reg ypcgr tmeanmsagay ypc60 ed60 if oecd==0
reg ypcgr tmeanmsagay ypc60 ed60 if ypc60>m
reg ypcgr tmeanmsagay ypc60 ed60 if ypc60<m
reg ypcgr tmeanmsagay ypc60 ed60 if reg~="ASIA" | code=="IND"
reg ypcgr6080 tmeanmsagay ypc60 ed60 
reg ypcgr8000 tmeanmsagay ypc80 ed80 
reg ypcgr8000 tmeanmsagto84p ypc80 ed80 
qui: reg ed60 tmeanmsagay if tmeanmsagay~=.
qui: predict h, res
qui: sum h, det
reg ypcgr tmeanmsagay ypc60 ed60 if h<-2.06 | h>2.18
reg ypcgr tmeanmsagay ypc60 ed60 if h>-2.06 & h<2.18
qui: drop h

reg ypcgr tmeanmslsay ypc60 ed60 
reg ypcgr tmeanmslsay ypc60 ed60 if oecd==1
reg ypcgr tmeanmslsay ypc60 ed60 if oecd==0
reg ypcgr tmeanmslsay ypc60 ed60 if ypc60>m
reg ypcgr tmeanmslsay ypc60 ed60 if ypc60<m
reg ypcgr tmeanmslsay ypc60 ed60 if reg~="ASIA" | code=="IND"
reg ypcgr6080 tmeanmslsay ypc60 ed60 
reg ypcgr8000 tmeanmslsay ypc80 ed80 
reg ypcgr8000 tmeanmslsto84p ypc80 ed80
qui: reg ed60 tmeanmslsay if tmeanmslsay~=.
qui: predict h, res
qui: sum h, det
reg ypcgr tmeanmslsay ypc60 ed60 if h<-2.21 | h>2.20
reg ypcgr tmeanmslsay ypc60 ed60 if h>-2.21 & h<2.20
qui: drop h

* Table 3:

reg ypcgr tmeanmsag95 ypc60 ed60 
reg ypcgr tmeanmsag95 ypc60 ed60 if oecd==1
reg ypcgr tmeanmsag95 ypc60 ed60 if oecd==0

reg ypcgr tmeanmsls95 ypc60 ed60 
reg ypcgr tmeanmsls95 ypc60 ed60 if oecd==1
reg ypcgr tmeanmsls95 ypc60 ed60 if oecd==0

reg ypcgr tmeanmsagto95p ypc60 ed60 
reg ypcgr tmeanmsagto95p ypc60 ed60 if oecd==1
reg ypcgr tmeanmsagto95p ypc60 ed60 if oecd==0

ivreg ypcgr (tmeanmsagay = tmeanmsagto95p) ypc60 ed60 
ivreg ypcgr (tmeanmsagay = tmeanmsagto95p) ypc60 ed60 if oecd==1
ivreg ypcgr (tmeanmsagay = tmeanmsagto95p) ypc60 ed60 if oecd==0

reg ypcgr tmeanmaagay ypc60 ed60 
reg ypcgr tmeanmaagay ypc60 ed60 if oecd==1
reg ypcgr tmeanmaagay ypc60 ed60 if oecd==0

reg ypcgr tmeanscagay ypc60 ed60 
reg ypcgr tmeanscagay ypc60 ed60 if oecd==1
reg ypcgr tmeanscagay ypc60 ed60 if oecd==0

reg ypcgr tmeanreagay ypc60 ed60 
reg ypcgr tmeanreagay ypc60 ed60 if oecd==1
reg ypcgr tmeanreagay ypc60 ed60 if oecd==0

reg ypcgr tmeanmaagay tmeanscagay tmeanreagay ypc60 ed60
reg ypcgr tmeanmaagay tmeanscagay tmeanreagay ypc60 ed60 if oecd==1
reg ypcgr tmeanmaagay tmeanscagay tmeanreagay ypc60 ed60 if oecd==0


* Table 4:

ivreg2 ypcgr ypc60 ed60 (tmeanmsagay=centexa), first
ivendog
ivreg2 ypcgr ypc60 ed60 (tmeanmsagay=centexa), fuller(1) first
condivreg ypcgr ypc60 ed60 (tmeanmsagay=centexa)

ivreg2 ypcgr ypc60 (tmeanmsagay=centexa ed60), first
ivendog
ivreg2 ypcgr ypc60 (tmeanmsagay=centexa ed60), fuller(1) first
condivreg ypcgr ypc60 (tmeanmsagay=centexa ed60)

ivreg2 ypcgr8000 ypc80 (tmeanmsagay=privenr85 ed80), first
ivendog
ivreg2 ypcgr8000 ypc80 (tmeanmsagay=privenr85 ed80), fuller(1) first
condivreg ypcgr8000 ypc80 (tmeanmsagay=privenr85 ed80) 

ivreg2 ypcgr (tmems1 = cath1900 ed60) cath70 ypc60 if tmeanmsagay~=., first
ivendog
ivreg2 ypcgr (tmems1 = cath1900 ed60) cath70 ypc60 if tmeanmsagay~=., first fuller(1)
condivreg ypcgr (tmems1 = cath1900 ed60) cath70 ypc60 if tmeanmsagay~=.

ivreg2 ypcgr8000 ypc80 (tmeanmaagay=decorgcen98 ed80), first
ivendog
ivreg2 ypcgr8000 ypc80 (tmeanmaagay=decorgcen98 ed80), fuller(1) first
condivreg ypcgr8000 ypc80 (tmeanmaagay=decorgcen98 ed80) 

ivreg2 ypcgr (tmeanmsagay = wtop_g ed60) ypc60, first
ivendog
ivreg2 ypcgr (tmeanmsagay = wtop_g ed60) ypc60, first fuller(1)
condivreg ypcgr (tmeanmsagay = wtop_g ed60) ypc60


* Table 6:

preserve
use hawo2012tab6, clear
reg trend75_00 dt_asag
reg trend75_00 dt_asag ypcgr75_00
reg trend75_00 dt_asag ypcgr75_00 ypc1975
reg trend75_00 dt_asag ypcgr75_00 ched7500
reg trend75_00 dt_asag ypcgr75_00 [w=i_se_dt_asag]
reg trend75_00 dt_asag ypcgr75_00 if code~="CAN" & code~="KOR" & code~="NOR"
reg trend75_00 high_dt
reg trend75_00 high_dt ypcgr75_00 ypc1975
reg trend75_00 dt_asag ypcgr75_00 since1999 
restore


* Table 7:

reg ypcgr tc400msagay ypc60 ed60 
reg ypcgr tc600msagay ypc60 ed60 
reg ypcgr tc400msagay tc600msagay ypc60 ed60 
reg ypcgr tc400msagay tc600msagay ypc60 ed60 open exprop tfr_avg tropical 
preserve
qui: sum tc400msagay
qui: replace tc400msagay=tc400msagay-r(mean)
qui: sum ypc60 if tmeanmsagay~=.
qui: replace ypc60=ypc60-r(mean)
qui: gen t4y = tc400msagay*ypc60
qui: sum tc600msagay
qui: replace tc600msagay=tc600msagay-r(mean)
qui: gen t6y = tc600msagay*ypc60
qui: gen t46 = tc400msagay*tc600msagay
reg ypcgr tc400msagay tc600msagay t4y t6y ypc60 ed60 
reg ypcgr ypc60 ed60 tc400msagay tc600msagay t46
reg ypcgr tc400msagay tc600msagay t46 ypc60 ed60 
reg ypcgr tc400msagay tc600msagay t6y t46 ypc60 ed60 
restore


* Table 8:

preserve
collapse ypc60 ypcgr ypc00 ed60 tmeanmsagay if ~missing(tmeanmsagay), by(reg)
sort ypc60
list reg ypc60 ypcgr ypc00 ed60 tmeanmsagay
restore

preserve
replace reg="ASIAwJap" if reg=="ASIA" & code~="JPN"
collapse ypc60 ypcgr ypc00 ed60 tmeanmsagay if ~missing(tmeanmsagay), by(reg)
list reg ypc60 ypcgr ypc00 ed60 tmeanmsagay if reg=="ASIAwJap"
restore


* Table 11:

preserve
use cognitive, clear
list
restore


* Table 12:

sum ypcgr tmeanmsagay tmeanmslsay tc400msagay tc600msagay ypc60 ed60 edavg centexa privenr85 decorgcen98 if tmeanmsagay~=.


* Table 14:

preserve
use hawo2012tab6, clear
sum trend75_00 dt_asag ypcgr75_00 ypc1975 ched7500
restore


* Table 15:

reg ypcgr tmeanmsagay ypc60 ed60
reg ypcgr tmeanmsagay ypc60 yr_sch1960
reg ypcgr6000 tmeanmsagay rgdpl1960 yr_sch1960
reg ypcgr6007 tmeanmsagay rgdpl1960 yr_sch1960
*reg ypcgr6009 tmeanmsagay rgdpl1960 yr_sch1960
reg ypcgr8507 tmeanmsagto84p rgdpl1985 yr_sch1980


* Table 16:

preserve
use hawo2012tab6, clear
reg ntr75_00 dt_asag ngr75_00
reg ntr75_07 dt_asag ngr75_07
reg ntr85_07 dt_asag ngr85_07
restore




* Figure 1: 

preserve
collapse ypcgr ypc60 ed60 tmeanmsagay if ~missing(tmeanmsagay), by(reg)
replace tmeanmsagay = tmeanmsagay*100
reg ypcgr tmeanmsagay ypc60
avplot tmeanmsagay, mlabel(reg) msymbol(none) mlabpos(0) xtitle(Conditional test score) ytitle(Conditional growth) xscale(r(-75,75)) xlabel(-50(50)50)
restore


* Figure 2: 

preserve
use hawo2012tab6, clear
scatter trend75_00 dt_asag if code~="CAN" & code~="KOR" & code~="NOR", mlabel(code) msymbol(none) mlabpos(0) xtitle(Trend in test scores) ytitle(Trend in growth rate) || scatter trend75_00 dt_asag if code=="CAN" | code=="KOR" | code=="NOR", mlabel(code) msymbol(none) mlabpos(0) mlabcolor(gs12) || lfit trend75_00 dt_asag if code~="CAN" & code~="KOR" & code~="NOR", legend(off) lcolor(black)
restore


* Figure 6: 

scatter tmeanmsagay ed60, xtitle(Years of schooling) ytitle(Test score) mlabel(code) msymbol(none) mlabpos(0) mlabcolor(black) || lfit tmeanmsagay ed60, legend(off) lcolor(black)
